Subject: Re: [PATCH net-next v2 2/2] cxgb4: add TC-MATCHALL classifier ingress offload

From: Rahul Lakkireddy <[email-masked]>
Date: Fri, 15 Nov 2019 01:14:41 +0530

On Thursday, November 11/14/19, 2019 at 10:20:37 -0800, Jakub Kicinski wrote:
> On Thu, 14 Nov 2019 21:04:05 +0530, Rahul Lakkireddy wrote:
> > Add TC-MATCHALL classifier ingress offload support. The same actions
> > supported by existing TC-FLOWER offload can be applied to all incoming
> > traffic on the underlying interface.
> > 
> > Only 1 ingress matchall rule can be active at a time on the underlying
> > interface.
> > 
> > Signed-off-by: Rahul Lakkireddy <[email-masked]>
> > ---
> > v2:
> > - Removed logic to fetch free index from end of TCAM. Must maintain
> >   same ordering as in kernel.
> 
> The ordering in the kernel is by filter priority/pref. Not the order of
> addition (which AFAIK you're intending to preserve here?).
> 
> Since you're only offloading the policer presumably you want to limit
> the port speed. The simplest way to make sure the rule ordering is right
> is to only accept the policer as the highest prio rule. I believe OvS
> installs it always with prio 1.

Ok, I've misunderstood your comment earlier. Will add a check in patch 1
to reject policer, if prio is not 1.

Thanks,
Rahul